WhatsApp Business Platform

Audio messages

Updated: Jul 2, 2026
On March 17th, 2026, voice messages will start receiving a “played” status webhook the first time a WhatsApp user plays a voice message shared by the business.
You can use Cloud API to send voice messages and basic audio messages.

Voice messages

A voice message (sometimes referred to as a voice note, voice memo, or audio) is a recording of one or more persons speaking, and can include background sounds like music. Voice messages include features like automatic download, profile picture, and voice icon. These features are not available with basic audio messages. If the user sets voice message transcripts to Automatic, the message includes a text transcription.
WhatsApp voice message with play icon, waveform graphic, profile image with voice icon, and transcribed text
  • Voice messages require .ogg files encoded with the OPUS codec. If you send a different file type or a file encoded with a different codec, voice message transcription will fail.
  • The play icon will only appear if the file is 512KB or smaller, otherwise the WhatsApp client replaces it with a download icon (a downward facing arrow).
  • The message displays your business’s profile image with a microphone icon.
  • The text transcription appears if the user has enabled Automatic voice message transcripts. If the user has set voice message transcripts to Manual, the text “Transcribe” will appear instead, which will display the transcribed text once tapped. If the user has set voice message transcripts to Never, no text will appear.

Basic audio messages

Basic audio messages display a download icon and a music icon. When the WhatsApp user taps the play icon, the user manually downloads the audio message for the WhatsApp client to load and then play the audio file.
WhatsApp basic audio message showing a download icon, playback bar, and music icon
  • The WhatsApp client replaces the download icon with a play icon if the WhatsApp user has enabled auto-download for audio media and conditions for auto-download are met (for example, connected to wi-fi).
  • If you send a .ogg file encoded with the OPUS codec as a basic audio message, the WhatsApp client replaces the music icon with a microphone icon. In addition, if the user has enabled Automatic or Manual voice message transcripts, a text transcription or the text “Transcribe” will accompany the message.

Request syntax

Use the Messages API to send an audio message to a WhatsApp user.
curl 'https://graph.facebook.com/<API_VERSION>/<WHATSAPP_BUSINESS_PHONE_NUMBER_ID>/messages' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer <ACCESS_TOKEN>' \
-d '
{
  "messaging_product": "whatsapp",
  "recipient_type": "individual",
  "to": "<WHATSAPP_USER_PHONE_NUMBER>",
  "type": "audio",
  "audio": {
    "id": "<MEDIA_ID>", <!-- Only if using uploaded media -->
    "link": "<MEDIA_URL>", <!-- Only if using hosted media (not recommended) -->
    "voice": <IS_VOICE?> <!-- Only include if sending voice message -->
  }
}'

Request parameters

Placeholder Description Example Value
<ACCESS_TOKEN>
String
EAAA...
<API_VERSION>
String
Optional.
Graph API version.
v25.0
<IS_VOICE?>
Boolean
Optional.
Set to true if sending a voice message. Voice messages must be Ogg files encoded with the OPUS codec.
To send a basic audio message, set to false or omit entirely.
true
<MEDIA_ID>
String
Required if using uploaded media, otherwise omit.
1013859600285441
<MEDIA_URL>
String
Required if using hosted media, otherwise omit.
URL of the media asset hosted on your public server. For better performance, we recommend using id and an uploaded media asset ID instead.
https://www.luckyshrub.com/media/ringtones/wind-chime.mp3
<WHATSAPP_BUSINESS_PHONE_NUMBER_ID>
String
Required.
WhatsApp business phone number ID.
106540352242922
<WHATSAPP_USER_PHONE_NUMBER>
String
Required.
WhatsApp user phone number.
+16505551234

Supported audio formats

Audio Type Extension MIME Type Max Size
AAC
.aac
audio/aac
16 MB
AMR
.amr
audio/amr
16 MB
MP3
.mp3
audio/mpeg
16 MB
MP4 Audio
.m4a
audio/mp4
16 MB
OGG Audio
.ogg
audio/ogg (OPUS codecs only; base audio/ogg not supported; mono input only)
16 MB
The most common errors associated with audio files are mismatched MIME types (MIME type doesn’t match the file type indicated by the file name) and invalid encoding for Ogg files (OPUS codec only). If you encounter an error when sending a media file, verify that your audio file’s MIME type matches its extension and is a supported type. For Ogg files, use the OPUS codec for encoding.

Example request

Example request to send an audio message using an uploaded media ID.
curl 'https://graph.facebook.com/v25.0/106540352242922/messages' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer EAAJB...' \
-d '
{
  "messaging_product": "whatsapp",
  "recipient_type": "individual",
  "to": "+16505551234",
  "type": "audio",
  "audio": {
    "id" : "1013859600285441",
    "voice": true
  }
}'

Example response

A successful request to send an audio message returns the following response.
{
  "messaging_product": "whatsapp",
  "contacts": [
    {
      "input": "+16505551234",
      "wa_id": "16505551234"
    }
  ],
  "messages": [
    {
      "id": "wamid.HBgLMTY0NjcwNDM1OTUVAgARGBI1RjQyNUE3NEYxMzAzMzQ5MkEA"
    }
  ]
}